1

On headless vps servers (Ubuntu 16.04.5 LTS) when running

# apt-get upgrade

I get

cryptsetup: WARNING: failed to detect canonical device of /dev/xvda1
cryptsetup: WARNING: could not determine root device from /etc/fstab

I have a single drive and a swap drive configured for these VPSes. /etc/fstab does not mention crypt anywhere for these two disks:

# cat /etc/fstab
/dev/xvda1 /         ext4    defaults,relatime        1 1
/dev/xvda9 swap      swap    defaults        0 0

Similarly

# lsblk -f
NAME  FSTYPE LABEL           UUID                                 MOUNTPOINT
xvda9 swap                   ca251dcd-0397-4382-bce3-6b0b2ddae290 [SWAP]
xvda1 ext4   cloudimg-rootfs 6a625e34-d04d-479c-a433-2380d9f98984 /

I am not sure if the first answer to Problems with cryptsetup during update should apply, because it implies it should not be used if there are swap disks. I don't know anything about update-grub and I am unsure what device(s) I should grub-install.

Would it be advisable to just

sudo apt-get remove cryptsetup
sudo reboot
  • Do you an encrypted disk or partition or folder? Can we see sudo lsblk -f – George Udosen Sep 19 '18 at 19:21
  • Thanks, @GeorgeUdosen. I've added the results of lsblk -f to the question as requested. – Joe Murray Sep 21 '18 at 14:22
  • Can we also see cat /etc/crypttab? – George Udosen Sep 21 '18 at 16:09

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.